#
# Makefile for DirectFB demo
#
# Specify CC for cross-compile, eg:
#  $ export PKG_CONFIG_PATH=/devel/usr/local/lib/pkgconfig
#  $ CC=arm-sony-linux-gnueabi-dev-gcc make
#
# ChangeLog:
#   V0.1  2009/11/27   Initial version
#

OBJECTS     = df_viewer

#
# Check whether it is cross-compile or not
#
CROSS_BUIlD = $(shell echo $(CC) | grep -q "arm" && echo 1)

ifeq ($(CROSS_BUIlD), 1)
# PKG_CONFIG_PATH = /usr/local/arm-sony-linux-gnueabi/target/devel/usr/local
DATADIR         = /devel/usr/local/share/directfb-examples
else
# PKG_CONFIG_PATH = /usr/local
DATADIR         = /usr/local/share/directfb-examples
endif

#
# Specify the font
#
FONT            = $(DATADIR)/fonts/decker.ttf
IMAGEDIR        = /mnt/sdcard

#
# specify $prefix to let pkg-config to look directfb.pc
# under this directory
#
# CFLAGS      = $(shell pkg-config --define-variable=prefix=$(PKG_CONFIG_PATH) --cflags directfb)
# LDFLAGS     = $(shell pkg-config --define-variable=prefix=$(PKG_CONFIG_PATH) --libs directfb)
# VERSION     = $(shell pkg-config --define-variable=prefix=$(PKG_CONFIG_PATH) --modversion directfb)
CFLAGS      = $(shell pkg-config  --cflags directfb)
LDFLAGS     = $(shell pkg-config  --libs directfb)
VERSION     = $(shell pkg-config  --modversion directfb)

CFLAGS      += -D_GNU_SOURCE -Wall -O3 -pipe -g3 -Werror-implicit-function-declaration
CFLAGS      += -DVERSION=\"$(VERSION)\"
CFLAGS      += -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1
CFLAGS      += -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1
CFLAGS      += -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDBOOL_H=1
CFLAGS      += -DDATADIR=\"$(DATADIR)\" -DFONT=\"$(FONT)\" -DIMAGEDIR=\"$(IMAGEDIR)\"

all: $(OBJECTS)

%:%.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

install:
	install -m 755 $(OBJECTS) $(PKG_CONFIG_PATH)/bin

clean:
	rm -f $(OBJECTS) *.o
